Skip to content

Retrieve A Specific Message Thread

Request

Retrieves a thread and all it's associated messages.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
GET
/v5/messaging/{id}.xml
curl -i -X GET \
  'https://api.vworkapp.com/v5/messaging/{id}.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip'

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:47:03 GMT"
ETagstring
Example:"W/\"29262ad6f9badc69e0ba9cf7ee0a2433\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"21fc9e13-9d65-4d3c-b7b8-f5d3394aab05"
X-Runtimestring
Example:"0.038802"
X-Unique-IDstring
Example:"CA7C7B8A:D1C2_0A001312:01BB_575F6209_773E50:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<thread>
    <id>ded86e04-31d0-11e6-927a-37a1480f7e3a</id>
    <job_id/>
    <user_ids>123</user_ids>
    <all_workers>false</all_workers>
    <created_by_user_id/>
    <subject>Sample Thread</subject>
    <summary>Sample Message</summary>
    <last_reply_user_id/>
    <last_reply_at>2016-06-14T01:39:44Z</last_reply_at>
    <created_at>2016-06-14T01:39:44Z</created_at>
    <updated_at>2016-06-14T01:39:45Z</updated_at>
    <messages type="array">
        <message>
            <id>23275dfc-086d-11e4-a5ac-174e8ef2ef84</id>
            <thread_id>23268152-086d-11e4-a5ac-174e8ef2ef84</thread_id>
            <from_user_id/>
            <from_user_name>Joe Bloggs</from_user_name>
            <read_by_user_ids/>
            <received_by_user_ids/>
            <body>Sample Message</body>
            <created_at>2014-07-10 20:02:36 UTC</created_at>
            <updated_at>2014-07-11 08:02:36 +1200</updated_at>
        </message>
    </messages>
</thread>